Cards, prop trading & accounting
Get Sync History
Cursor-paginates a connection's journal-entry sync records with optional invoice type and status filters.
Not available to API keys.
curl --request GET \
--url 'https://api.toku.com/platform/get-sync-history?connectionId=%3CconnectionId%3E' \
--header 'Authorization: Bearer <token>'[
{
"id": "string",
"connectionId": "string",
"invoiceType": "EOR_PEO",
"payPeriod": "string",
"country": "string",
"currency": "string",
"groupingMode": "PER_CURRENCY",
"groupKey": "string",
"groupLabel": "string",
"googleSheetUrl": "string",
"mappingVersion": 0,
"qboJournalEntryId": "string",
"docNumber": "string",
"totalDebits": "string",
"totalCredits": "string",
"status": "PREVIEWED",
"errorMessage": "string",
"errorCode": "string",
"intuitTid": "string",
"pushedBy": "string",
"pushedAt": "string",
"retryCount": 0,
"reversedBy": "string",
"reversedAt": "string",
"reversingSyncId": "string",
"dryRun": true,
"createdAt": "string",
"updatedAt": "string"
}
]Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
connectionIdstring<uuid>requiredinvoiceTypestringAvailable options: EOR_PEO, CONTRACTOR, W2_YEAR_END, HRIS_PAYROLL
statusFilterstringAvailable options: PREVIEWED, PUSHING, SUCCESS, FAILED, REVERSED
limitintegerAllowed: 1 to 100
cursorstringAllowed: at least 1 characters
Response
200Successful response
idstringrequiredconnectionIdstringrequiredinvoiceTypestringrequiredAvailable options: EOR_PEO, CONTRACTOR, W2_YEAR_END, HRIS_PAYROLL
payPeriodstringrequiredcountrystringrequiredcurrencystringrequiredgroupingModestringrequiredAvailable options: PER_CURRENCY, PER_COUNTRY, COMBINED
groupKeystringrequiredgroupLabelstringrequiredgoogleSheetUrlstring | nullrequiredsheetDataSnapshotanyrequiredmappingSnapshotanyrequiredmappingVersionintegerrequiredqboRequestPayloadanyrequiredqboResponseanyrequiredqboJournalEntryIdstring | nullrequireddocNumberstringrequiredtotalDebitsstringrequiredAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
totalCreditsstringrequiredAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
statusstringrequiredAvailable options: PREVIEWED, PUSHING, SUCCESS, FAILED, REVERSED
errorMessagestring | nullrequirederrorCodestring | nullrequiredintuitTidstring | nullrequiredpushedBystring | nullrequiredpushedAtstring | nullrequiredretryCountintegerrequiredreversedBystring | nullrequiredreversedAtstring | nullrequiredreversingSyncIdstring | nullrequireddryRunbooleanrequiredcreatedAtstringrequiredupdatedAtstringrequired